Subject: bug#3717: M-x man completion

From: Juri Linkov <[email-masked]>
Date: Tue, 24 Nov 2009 19:11:32 +0200

>>> I use the patch below.  It's very lightly tested.
> SJ> Hey, cool!  Works great for me.
> I hope it gets included into emacs then.

Stefan, could you please install your patch that implements
completions for `man'.  This is very useful.

Maybe later Kevin Ryde will add more code to man.el from his
man-completion.el.  Some useful things in man-completion.el are
the cache for `man -k', handling same names in different sections.

Also part of man-completion.el deals with man-completion-at-point
that returns a man page name as a string found at point.
I think this part should be properly integrated into the
"thing-at-point" framework.

-- 
Juri Linkov
http://www.jurta.org/emacs/